RSS

An unexpected HTTP error occurred during the api request – WordPress 3.2.1

06 Dec

I was pulling my hair out for a few days trying to resolve this error. A lot of web sites stated that I had to change the http.php timeout value and that would fix the problem – but it didn’t.

Then a thought came to me (yep, I have them once and a while), why not upgrade my PHP version to the latest version. I have version 5.2.something. After I upgraded to PHP version 5.3.8 all my API problems disappeared.

Advertisements
 
2 Comments

Posted by on December 6, 2011 in PHP, Wordpress

 

2 responses to “An unexpected HTTP error occurred during the api request – WordPress 3.2.1

  1. nickaps

    April 10, 2012 at 12:34 am

    i’m hosting my blog at wordpress.com
    but, when i try to install plugin or import, it shows :

    An Unexpected HTTP Error occurred during the API request

    what should i do?
    i’ve tried editing timeout values…but it didnt helped me.
    please help.
    how should i upgrade my php
    i’m hosting my blog at wordpress.com. with co.cc domain

    please help

     
    • Peter Zawodny

      April 10, 2012 at 10:51 am

      Check to see what version of PHP you are using and upgrade to the latest version if possible. That worked for me.

       

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

 
%d bloggers like this: